Notice Regarding OS Compatibility

August 7, 2018

Currently, Puzzle & Dragons supports Android versions 4.0 - 8.1. Please note that the game is not yet compatible with Android 9.0, but we are aware of this issue. Upgrading your device to Android 9.0 may cause Puzzle & Dragons to crash upon launch, rendering it unplayable.

 

Android 9.0 compatibility will be addressed in a future update. Further information will be announced here as details become available, but in the meantime please refrain from updating to Android 9.0 if you wish to continue playing Puzzle & Dragons.

 

We apologize for the inconvenience and appreciate your understanding and patience.

 

*If you have questions regarding your device’s current operating system in use or on how to update it, please contact Google or the device manufacturer.
*Please perform operating system updates at your own discretion.

Share on Facebook
Share on Twitter
Please reload